Company logoTrust Center Documentation
API v1 ReferenceDocumentsIdVersions

Create a draft document version

Create an inactive draft with a server-generated UUID. `name` is an optional friendly name and does not set the version `id` or `key`. An allowed source…

POST
/api/v1/documents/{id}/versions

Create an inactive draft with a server-generated UUID. name is an optional friendly name and does not set the version id or key. An allowed source version can be used as a source. Creation does not activate the new version.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Document UUID

Formatuuid

Query Parameters

locale?string

Selected locale. This value takes precedence over x-locale. An invalid or disabled explicit value returns 400.

Header Parameters

x-locale?string

Selected locale when the locale query value is not supplied. The tenant default locale is the fallback only when both locale inputs are absent. An invalid or disabled explicit value returns 400.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions" \  -H "Content-Type: application/json" \  -d '{    "name": "Q2 Refresh"  }'
{  "success": true,  "data": {    "version": {      "id": "4c7f8591-0a1c-4c33-96fb-dac3e48c4bde",      "key": "00000000-0000-4000-8000-000000000000",      "name": "Q2 Refresh",      "status": "draft",      "is_active": false,      "date_created": "2025-04-30T09:30:00Z",      "date_updated": "2025-04-30T09:30:00Z",      "modified_fields": []    }  }}

How is this guide?